Storyden
Admin

Admin O Auth Registration Approval List

List pending, unexpired autonomous registrations awaiting administrator approval. Completed, denied, cancelled & expired requests are excluded.

GET
/admin/oauth/registration-approvals

List pending, unexpired autonomous registrations awaiting administrator approval. Completed, denied, cancelled & expired requests are excluded.

Authorization

cookiestoryden-session<token>

Query Parameters

page?string

Pagination query parameters.

Response Body

Pending registrations, oldest first.

application/json
  1. response

To be composed with paginated resource responses.

page_size*integer
results*integer
total_pages*integer
current_page*integer
next_page?integer
snapshot_at*string

Server time at the start of this queue read. Use as created_before for a bulk decision.

Formatdate-time
registrations*array<>
Example Request
curl -X GET 'https://example.com/api/admin/oauth/registration-approvals'
Example Response
{  "page_size": 0,  "results": 0,  "total_pages": 0,  "current_page": 0,  "next_page": 0,  "snapshot_at": "2019-08-24T14:15:22Z",  "registrations": [    {      "verification_code": "string",      "created_at": "2019-08-24T14:15:22Z",      "expires_at": "2019-08-24T14:15:22Z",      "metadata": {        "registration_mode": [          "string"        ],        "registration_code": "string",        "cancel_registration": true,        "client_name": "string",        "redirect_uris": [          "http://example.com"        ],        "grant_types": [          "string"        ],        "response_types": [          "string"        ],        "scope": "string",        "token_endpoint_auth_method": "string",        "jwks": {},        "application_type": "string",        "logo_uri": "http://example.com",        "client_uri": "http://example.com",        "tos_uri": "http://example.com",        "policy_uri": "http://example.com"      }    }  ]}